6.0.0-git
2019-03-20

[#8597] Wrong filename and content type for files within zip files
Summary Wrong filename and content type for files within zip files
Queue Whups
Queue Version HEAD
Type Bug
State Resolved
Priority 1. Low
Owners jan (at) horde (dot) org
Requester selsky (at) columbia (dot) edu
Created 2009-09-23 (3465 days ago)
Due
Updated 2009-10-26 (3432 days ago)
Assigned 2009-09-28 (3460 days ago)
Resolved 2009-10-26 (3432 days ago)
Milestone
Patch No

History
2009-10-26 17:17:13 Jan Schneider Assigned to Jan Schneider
Taken from Horde DevelopersHorde Developers
State ⇒ Resolved
Milestone ⇒
 
2009-10-26 17:16:49 CVS Commit Comment #4 Reply to this comment
Changes have been made in CVS for this ticket:

Use the file name returned by the mime viewer (Bug #8597).
http://cvs.horde.org/diff.php/whups/view.php?rt=horde&r1=1.31&r2=1.32&ty=u
2009-09-28 09:45:05 Jan Schneider Assigned to Horde DevelopersHorde Developers
State ⇒ Assigned
Milestone ⇒ 1.0.1
 
2009-09-28 05:39:35 Michael Slusarz Comment #3 Reply to this comment
Also, it is expected that the data is sent as 
application/octet-stream.  Whether we want to do Mime Magic detection 
on this data is up to those who maintain whups.  FWIW, I don't believe 
this is the proper thing to do because in the event the MIME detection 
is incorrect, you may very well download an unusable file.  It's best 
to send the data as application/octet-stream and let the remote 
browser/OS deal with things.
2009-09-28 05:37:07 Michael Slusarz Comment #2
Version ⇒ HEAD
Queue ⇒ Whups
Reply to this comment
This has nothing to do with Horde framework. The base ZIP viewer does 
not provide any means to download the contained files.
2009-09-23 07:55:39 Matt Selsky Comment #1
Type ⇒ Bug
State ⇒ Unconfirmed
Priority ⇒ 1. Low
Summary ⇒ Wrong filename and content type for files within zip files
Queue ⇒ Horde Framework Packages
Milestone ⇒
Patch ⇒ No
Reply to this comment
http://bugs.horde.org/view.php?actionID=view_file&type=zip&file=html_support.zip&ticket=8592



There are two attachments:



horde-framework-git.patch     -----      2451  22-Jan-2009 09:57   
Deflated  e184b206     32.8%

horde-hatchery.patch          -----     16164  22-Jan-2009 09:26   
Deflated  c3ec82ff     29.0%



http://bugs.horde.org/view.php?actionID=view_file&type=zip&file=html_support.zip&ticket=8592&zip_attachment=1



http://bugs.horde.org/view.php?actionID=view_file&type=zip&file=html_support.zip&ticket=8592&zip_attachment=2



The headers for the HTTP response of the first attachment are:



$ lwp-request -m HEAD 
'http://bugs.horde.org/view.php?actionID=view_file&type=zip&file=html_support.zip&ticket=8592&zip_attachment=1' | grep 
Content

Content-Type: application/octet-stream

Content-Disposition: inline; filename="html_support.zip"



We expect the headers to be:



Content-Type: text/plain

Content-Disposition: inline; filename="horde-framework-git.patch"

Saved Queries